Page MenuHomePhabricator

Load SVGs instead of bundling them
Closed, ResolvedPublic

Description

Problem

The Wikipedia Preview bundle is too big. The bulk of it is embedded SVGs.

Solution

Load SVGs from a Wikimedia site

Pending questions
  • Where should we load the images from? commons? static assets in MediaWiki? Portal?

Event Timeline

SBisson created this task.Sep 8 2020, 3:31 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 8 2020, 3:31 PM
SBisson updated the task description. (Show Details)Sep 8 2020, 3:41 PM

@SGautam_WMF you mentioned an effort to create nice and consistent wordmark files... Do you know which project it was for, and if they are hosted somewhere?

@SBisson it seems like we don't have a location where just wordmark or tagline are stored unlike Wikipedia logo which can be accessed from here. Is it possible for us to upload the wordmark on commons or on some other platform if I have the svg/png file? If so, will this work for us?

Yes, it is possible for us to upload them on Commons and use them from there.

AMuigai triaged this task as Medium priority.Sep 23 2020, 12:16 PM
SBisson claimed this task.Oct 5 2020, 12:50 PM
SBisson moved this task from Backlog to Dev on the Inuka-Team (Kanban) board.
hueitan moved this task from Dev to Code Review on the Inuka-Team (Kanban) board.Oct 5 2020, 3:51 PM
SBisson moved this task from Code Review to QA on the Inuka-Team (Kanban) board.Oct 5 2020, 7:14 PM
Jpita moved this task from QA to Design sign off on the Inuka-Team (Kanban) board.Oct 5 2020, 11:38 PM

@SBisson What was the bundle size before and what size is it now?

@SBisson What was the bundle size before and what size is it now?

Size (text) in kbSize (zip) in kb
Before314110
After10130
AMuigai closed this task as Resolved.Oct 6 2020, 1:41 PM

Thank you!